#include<iostream>
#include<conio.h>
using namespace std;
class TriangleGhaemZavieClass
{
	private :
		double Mohit, Masahat;
	public :
		double z1, z2, z3;
		int IsTriangleGhaemZavie()
		{
			if((z1 * z1 == z2 * z2 + z3 * z3) || (z2 * z2 == z1 * z1 + z3 * z3) || (z3 * z3 == z1 * z1 + z2 * z2)) //Ghaem zavie
			{
				if (z3 > z2 && z3 > z1)
					Masahat = z1 * z2 / 2;
				else if (z2 > z3 && z2 > z1)
					Masahat = z1 * z3 / 2;
				else if (z1 > z3 && z1 > z2)
					Masahat = z2 * z3 / 2;
				else
					Masahat = 0;
				return 1;
			}
			else
			{
				Mohit = z1 + z2 + z3;
				return 0;
			}
		}
		double GetMohit()
		{
			return Mohit;
		}
		double GetMasahat()
		{
			return Masahat;
		}
};

int main()
{
	TriangleGhaemZavieClass A;
	cout << "azlae mosalas ra be tartib vared konid : ";
	cin >> A.z1 >> A.z2 >> A.z3;
	if(A.IsTriangleGhaemZavie() == 1)
		cout << endl << "tghaem zavie va Masahat = " << A.GetMasahat();
	else
		cout << endl << "Mohit = " << A.GetMohit();
	getch();
}

